## Cally

Cally — Cally initialization methods.

## Functions

gboolean | cally_get_cally_initialized ()
gboolean | cally_accessibility_init ()
#define | CALLY_ACCESSIBLE_FACTORY()
#define | CALLY_ACTOR_SET_FACTORY()

## Description

Cally initialization methods.

## Functions

### cally_get_cally_initialized ()

    gboolean
    cally_get_cally_initialized (void);

Returns if the accessibility support using cally is enabled.

#### Returns

`TRUE` if accessibility support has been correctly initialized.

Since: 1.4

### cally_accessibility_init ()

    gboolean
    cally_accessibility_init (void);

Initializes the accessibility support.

#### Returns

`TRUE` if accessibility support has been correctly initialized.

Since: 1.4

### CALLY_ACCESSIBLE_FACTORY()

    #define             CALLY_ACCESSIBLE_FACTORY(type, type_as_function, opt_create_accessible)

Defines a new AtkObjectFactory factory to create accessible objects of a specific GType. It defines the factory GType and also overrides the proper AtkObjectFactory methods.

It assumes that the accessibility object provides a `opt_create_accessible` method in order to create the accessibility object. It returns a `type` GType object.

#### Parameters

type | GType of the accessible which is created by the factory |
type_as_function | prefix of the accessible object methods |
opt_create_accessible | method to instantiate the accessibility object |

Since: 1.4

### CALLY_ACTOR_SET_FACTORY()

    #define             CALLY_ACTOR_SET_FACTORY(widget_type, type_as_function)

Sets the AtkObjectFactory to be used in order to instantiate accessibility objects for the actor which GType is `widget_type` .

#### Parameters

widget_type | GType of the clutter actor |
type_as_function | prefix of the accessible object methods |

Since: 1.4

## Types and Values